#!/bin/sh

# build my info/dep file(s) and copy into /tmp before running script
# I prefer wget to use no clobber as I retest the script

# build depends 
tce-load -i compiletc submitqc4 wget
tce-load -i aspell aspell-lib ncursesw-dev

# download and unpack stuff
# http://aspell.net/ is main site but used mirror for speed
cd /tmp
wget -nc http://mirror.optusnet.com.au/gnu/aspell/dict/fr/aspell-fr-0.50-3.tar.bz2
tar jxvf aspell-fr-0.50-3.tar.bz2

# tcz compile flags not needed its just a pack

cd aspell-fr-0.50-3
./configure --vars DESTDIR=/usr/local 
make -j3
make DESTDIR=/tmp/aspell-fr install

cd /tmp
mksquashfs aspell-fr aspell-fr.tcz
md5sum aspell-fr.tcz > aspell-fr.tcz.md5.txt
cd aspell-fr
find usr -not -type d > aspell-fr.tcz.list
mv -f aspell-fr.tcz.list /tmp

# complete

cd /tmp
submitqc4